import java.awt.Point;
import java.awt.geom.Ellipse2D;

public class MyCircle extends RecShape {
  
  public MyCircle(Point pt) {
    super();
    System.out.println(pt.getX() + " " + pt.getY());
    shape  = new Ellipse2D.Double(pt.getX(), pt.getY(), DEFAULT_SIZE, DEFAULT_SIZE);
  }
   
  //Couple of changes in this constructor to implement the key 't'
  public MyCircle(RecShape s) { 
    super(s.getFillColor());
    System.out.println("Constructor called after 't' isn't complete");
    shape = new Ellipse2D.Double();
  }

  public void moveFrame(float moveX, float moveY) {
    //Part I: implement this method
    
    System.out.println("move " + this + " not implemented");
  }
  
  public void scale(int fac) {
    System.out.println("scaling " + this + " change it to be from center");
    
    double newSide = getShapeWidth()+fac*SIZE_INC; 
    shape.setFrame(getShapeX(), getShapeY(), 
                  getShapeWidth()+fac*SIZE_INC,  getShapeHeight()+fac*SIZE_INC);  
  }
  
  
  public String toString() {
    //the java.awt.geom.Ellipse2D$Double doesn't seem to implement
    //the toString as the java.awt.geom.Rectangle2D$Double...
    return "circle " + shape.toString() + " color " + fillColor;
  }
}
