import java.awt.Point;
import java.awt.geom.Rectangle2D;

public class MySquare extends RecShape {
  
  public MySquare(Point pt) {
    super();
    shape = new Rectangle2D.Double(pt.getX(), pt.getY(), DEFAULT_SIZE, DEFAULT_SIZE);
  }
  
  //Couple of changes in this constructor to implement the key 't'
  public MySquare(RecShape s) { 
    super();
    System.out.println("Constructor called after 't' isn't complete");
    System.out.println("hint " + s.getFillColor() + " "
                        + s.getShapeX() + " " + s.getShapeY());
    shape = new Rectangle2D.Double();  //does not quite work. The shape disappears
                                       //Figure out why?
  }
  
  public void moveFrame(float moveX, float moveY) {
    shape.setFrame(getShapeX()+moveX, getShapeY()+moveY, 
                   getShapeWidth(), getShapeHeight());
  }
  
  public void scale(int fac) {
    //Part I: implement this method
    
    System.out.println("scaling " + toString() + " not implemented");
    
    //Important: SCALE from center 
    //read the API for RectangularShape
    //http://docs.oracle.com/javase/7/docs/api/java/awt/geom/RectangularShape.html
  }
  
  public String toString() {
    return "rectangle " + shape.toString() + " color " + fillColor;
  }
  
  
}
