import java.awt.Color;
import java.awt.Graphics;

public interface ShapeInterface {
  
  public Color getFillColor();
  public void setSelected(boolean b);
  public boolean getSelected();
  
  public double getShapeX();
  
  public double getShapeY();
  
  public double getShapeWidth(); 
  
  public double getShapeHeight();
  
  
  public boolean contains(int x, int y);
  public void moveFrame(float x, float y);
  public abstract void scale(int i); 
  
  public void paintComponent(Graphics g);
}